
Foreman - Bug #6259

Administrator user privileges cannot be demoted

06/17/2014 07:54 PM - Jason Berry

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Once a user has the Role tab Administrator box checked, the roles tab no longer appears.  The user account cannot be demoted

without completely deleting the account and recreating it

Running foreman 1.5.0

Related issues:

Is duplicate of Foreman - Bug #5696: Migration of Admin users from 1.4 -> 1.5... Closed 05/13/2014

History

#1 - 06/18/2014 08:09 AM - Dominic Cleal

- Is duplicate of Bug #5696: Migration of Admin users from 1.4 -> 1.5 results in "Role Name_username" roles that cannot be removed and cleaned up.

added

#2 - 06/18/2014 08:09 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this was fixed in #5696 which'll be released today in 1.5.1.
